<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Taller 4</title>
    <style>
        .parte1 {
            border: 2px solid #5e5e5e;
            padding: 10px;
        }
        .Eje2{
            margin: 10px;
        }
        label{
            
           
            width: 100px;
        }
        #txtNombre{
            margin-left: 0;
        }
        th{
            padding-inline:30px ;
        }
        #idBoton{
            padding: 5px;
            margin: 10px;
        }
    </style>
    <script>
        //base octal a decimal
        function conversion(octal) {
            //let octal = "60"; // 48
            var octalEnDecimal = parseInt(octal, 8); // La base es 8
            document.getElementById("label1").innerHTML = "El número octal " + octal + " en decimal es " + octalEnDecimal;
        }
        //función ejercicio uno
        function primerEjercicio() {
            var numero = document.getElementById("idEntrada").value;
            conversion(numero)
        }


        //Ejercicio 2
        function datos() {
            function producto_alimenticio(codigo, nombre, precio) {
                this.codigo = codigo;
                this.nombre = nombre;
                this.precio = precio;
            }

            var cod = document.getElementById("txtCodigo").value;
            var nom = document.getElementById("txtNombre").value;
            var pre = document.getElementById("txtPrecio").value;

            productox = new producto_alimenticio(cod,nom,pre);
            if(cod != "" && nom != "" && pre != ""){
                imprimir()
            };
                
            
            
        }

        var baseDatos = [];
        function almacenDatos(){
            baseDatos.push(productox);

        }
        function imprimir(){
            document.getElementById("tabla").innerHTML+= "<tbody><td>"+productox.codigo+"</td><td>"+productox.nombre+"</td><td>"+productox.precio+"</td></tbody>"
        }
    





    </script>
</head>

<body>
    <div class="parte1">
        <h1>Ejercicio 1</h1>
        <p>
            Cree un script que solicite un valor numérico al usuario en base octal (8) y posteriormente muestre su
            equivalente en base decimal (10). Muestre el resultado en una ventana emergente.
        </p>
        
        <label for="entrada">Valor Octal: </label>
        <input type="text" name="entrada" id="idEntrada">
        <input type="button" value="Mostrar" onclick="primerEjercicio()">
        <label for="" id="label1"></label>

    </div>
    <div class="parte1">
        <h1>Ejercicio 2</h1>
        <p>
            Cree un script que defina un objeto llamado Producto_alimenticio, este objeto debe presentar las propiedades
            código, nombre y precio, además del método imprimeDatos, el cual escribe por pantalla los valores de sus
            propiedades. Posteriormente, cree tres instancias de este objeto y guárdelas en un array. Con la ayuda del
            bucle for, utilice el método imprimeDatos para mostrar por pantalla los valores de los tres objetos
            instanciados.
        </p>
        <form action="" >
            <label for="entrada">Código: </label>
            <input type="text" name="entrada" class="Eje2" id="txtCodigo" required>
            <br>
            <label for="entrada">Nombre: </label>
            <input type="text" name="entrada" class="Eje2" id="txtNombre" required>
            <br>
            <label for="entrada">Precio: </label>
            <input type="text" name="entrada" class="Eje2" id="txtPrecio" required>
            <br>
            <input type="button" id="idBoton" value="Imprimir" onclick="datos()">
        </form>
        
      

        <div id="cajaTabla">
            <table id="tabla" class="default" border="1">
            <thead>
                <tr>
               
                    <th>Código</th>

                    <th>Nombre</th>
                    <th>Precio</th>

                
                </tr>
            </thead>
            
                              

            </table>
        </div>
    </div>


</body>

</html>